IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AU' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AU];
GO

CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AU]
ON [dbo].[tblWL_AuthorizedTOEmails]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_AuthorizedTOEmails' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_AuthorizedTOEmailsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_AuthorizedTOEmailsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_AuthorizedTOEmails'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_AuthorizedTOEmails')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AI' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AI];
GO

CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AI]
ON [dbo].[tblWL_AuthorizedTOEmails]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_AuthorizedTOEmails' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_AuthorizedTOEmailsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_AuthorizedTOEmailsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_AuthorizedTOEmails')) INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_AuthorizedTOEmails')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_AuthorizedTOEmails_AD' AND type = 'TR') DROP TRIGGER[trWL_AuthorizedTOEmails_AD];
GO

CREATE TRIGGER [dbo].[trWL_AuthorizedTOEmails_AD]
ON [dbo].[tblWL_AuthorizedTOEmails]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_AuthorizedTOEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_AuthorizedTOEmails'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_AuthorizedTOEmails' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_AuthorizedTOEmailsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_AuthorizedTOEmailsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_AuthorizedTOEmails'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_AuthorizedTOEmails')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AU' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AU];
GO

CREATE TRIGGER [dbo].[trWL_Keywords_AU]
ON [dbo].[tblWL_Keywords]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_Keywords'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_Keywords' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_Keywordsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_Keywordsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_Keywords'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_Keywords')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AI' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AI];
GO

CREATE TRIGGER [dbo].[trWL_Keywords_AI]
ON [dbo].[tblWL_Keywords]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_Keywords' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_Keywords'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_Keywords' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_Keywordsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_Keywordsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_Keywords'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_Keywords')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_Keywords_AD' AND type = 'TR') DROP TRIGGER[trWL_Keywords_AD];
GO

CREATE TRIGGER [dbo].[trWL_Keywords_AD]
ON [dbo].[tblWL_Keywords]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_Keywords'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_Keywords' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_Keywordsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_Keywordsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_Keywords'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_Keywords')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AU' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AU];
GO

CREATE TRIGGER [dbo].[trWL_EmailsFrom_AU]
ON [dbo].[tblWL_EmailsFrom]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_EmailsFrom' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsFromusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsFromusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_EmailsFrom'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_EmailsFrom')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AI' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AI];
GO

CREATE TRIGGER [dbo].[trWL_EmailsFrom_AI]
ON [dbo].[tblWL_EmailsFrom]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_EmailsFrom' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_EmailsFrom' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsFromusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsFromusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_EmailsFrom'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_EmailsFrom')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsFrom_AD' AND type = 'TR') DROP TRIGGER[trWL_EmailsFrom_AD];
GO

CREATE TRIGGER [dbo].[trWL_EmailsFrom_AD]
ON [dbo].[tblWL_EmailsFrom]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsFrom'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_EmailsFrom' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsFromusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsFromusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_EmailsFrom'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_EmailsFrom')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AU' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AU];
GO

CREATE TRIGGER [dbo].[trWL_EmailsTO_AU]
ON [dbo].[tblWL_EmailsTO]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_EmailsTO' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsTOusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsTOusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_EmailsTO'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_EmailsTO')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AI' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AI];
GO

CREATE TRIGGER [dbo].[trWL_EmailsTO_AI]
ON [dbo].[tblWL_EmailsTO]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_EmailsTO' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_EmailsTO' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsTOusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsTOusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_EmailsTO'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_EmailsTO')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_EmailsTO_AD' AND type = 'TR') DROP TRIGGER[trWL_EmailsTO_AD];
GO

CREATE TRIGGER [dbo].[trWL_EmailsTO_AD]
ON [dbo].[tblWL_EmailsTO]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_EmailsTO'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_EmailsTO' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsTOusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_EmailsTOusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_EmailsTO'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_EmailsTO')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AU' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AU];
GO

CREATE TRIGGER [dbo].[trWL_DomainsIPs_AU]
ON [dbo].[tblWL_DomainsIPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_DomainsIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_DomainsIPs' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_DomainsIPsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_DomainsIPsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_DomainsIPs'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_DomainsIPs')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AI' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AI];
GO

CREATE TRIGGER [dbo].[trWL_DomainsIPs_AI]
ON [dbo].[tblWL_DomainsIPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblWL_DomainsIPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_DomainsIPs' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_DomainsIPsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_DomainsIPsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_DomainsIPs'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_DomainsIPs')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trWL_DomainsIPs_AD' AND type = 'TR') DROP TRIGGER[trWL_DomainsIPs_AD];
GO

CREATE TRIGGER [dbo].[trWL_DomainsIPs_AD]
ON [dbo].[tblWL_DomainsIPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblWL_DomainsIPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblWL_DomainsIPs'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblWL_DomainsIPs' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_DomainsIPsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.WL_DomainsIPsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblWL_DomainsIPs'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblWL_DomainsIPs')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AU' AND type = 'TR') DROP TRIGGER[trBL_Domains_AU];
GO

CREATE TRIGGER [dbo].[trBL_Domains_AU]
ON [dbo].[tblBL_Domains]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Domains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Domains'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Domains' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Domainsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Domainsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Domains'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Domains')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AI' AND type = 'TR') DROP TRIGGER[trBL_Domains_AI];
GO

CREATE TRIGGER [dbo].[trBL_Domains_AI]
ON [dbo].[tblBL_Domains]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Domains' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Domains'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Domains' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Domainsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Domainsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Domains'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Domains')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Domains_AD' AND type = 'TR') DROP TRIGGER[trBL_Domains_AD];
GO

CREATE TRIGGER [dbo].[trBL_Domains_AD]
ON [dbo].[tblBL_Domains]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Domains' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Domains'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Domains' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Domainsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Domainsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Domains'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Domains')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AU' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AU];
GO

CREATE TRIGGER [dbo].[trBL_EmailsFrom_AU]
ON [dbo].[tblBL_EmailsFrom]
AFTER UPDATE AS
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_EmailsFrom' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsFromusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsFromusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_EmailsFrom'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_EmailsFrom')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AI' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AI];
GO

CREATE TRIGGER [dbo].[trBL_EmailsFrom_AI]
ON [dbo].[tblBL_EmailsFrom]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_EmailsFrom' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_EmailsFrom' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsFromusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsFromusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_EmailsFrom'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_EmailsFrom')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsFrom_AD' AND type = 'TR') DROP TRIGGER[trBL_EmailsFrom_AD];
GO

CREATE TRIGGER [dbo].[trBL_EmailsFrom_AD]
ON [dbo].[tblBL_EmailsFrom]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsFrom' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsFrom'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_EmailsFrom' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsFromusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsFromusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_EmailsFrom'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_EmailsFrom')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AU' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AU];
GO

CREATE TRIGGER [dbo].[trBL_EmailsTO_AU]
ON [dbo].[tblBL_EmailsTO]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_EmailsTO' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsTOusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsTOusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_EmailsTO'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_EmailsTO')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AI' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AI];
GO

CREATE TRIGGER [dbo].[trBL_EmailsTO_AI]
ON [dbo].[tblBL_EmailsTO]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_EmailsTO' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_EmailsTO' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsTOusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsTOusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_EmailsTO'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_EmailsTO')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_EmailsTO_AD' AND type = 'TR') DROP TRIGGER[trBL_EmailsTO_AD];
GO

CREATE TRIGGER [dbo].[trBL_EmailsTO_AD]
ON [dbo].[tblBL_EmailsTO]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_EmailsTO' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_EmailsTO'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_EmailsTO' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsTOusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_EmailsTOusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_EmailsTO'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_EmailsTO')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AU' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AU];
GO

CREATE TRIGGER [dbo].[trBL_MAPS_AU]
ON [dbo].[tblBL_MAPS]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_MAPS' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_MAPS'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_MAPS' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_MAPSusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_MAPSusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_MAPS'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_MAPS')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AI' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AI];
GO

CREATE TRIGGER [dbo].[trBL_MAPS_AI]
ON [dbo].[tblBL_MAPS]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_MAPS' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_MAPS'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_MAPS' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_MAPSusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_MAPSusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_MAPS'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_MAPS')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_MAPS_AD' AND type = 'TR') DROP TRIGGER[trBL_MAPS_AD];
GO

CREATE TRIGGER [dbo].[trBL_MAPS_AD]
ON [dbo].[tblBL_MAPS]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_MAPS' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_MAPS'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_MAPS' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_MAPSusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_MAPSusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_MAPS'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_MAPS')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AU' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AU];
GO

CREATE TRIGGER [dbo].[trBL_Keywords_AU]
ON [dbo].[tblBL_Keywords]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Keywords'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Keywords' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Keywordsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Keywordsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Keywords'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Keywords')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AI' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AI];
GO

CREATE TRIGGER [dbo].[trBL_Keywords_AI]
ON [dbo].[tblBL_Keywords]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Keywords' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Keywords'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Keywords' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Keywordsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Keywordsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Keywords'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Keywords')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Keywords_AD' AND type = 'TR') DROP TRIGGER[trBL_Keywords_AD];
GO

CREATE TRIGGER [dbo].[trBL_Keywords_AD]
ON [dbo].[tblBL_Keywords]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Keywords' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Keywords'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Keywords' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Keywordsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Keywordsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Keywords'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Keywords')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AU' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AU];
GO

CREATE TRIGGER [dbo].[trBL_Attachments_AU]
ON [dbo].[tblBL_Attachments]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Attachments' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Attachments'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Attachments' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Attachmentsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Attachmentsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Attachments'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Attachments')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AI' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AI];
GO

CREATE TRIGGER [dbo].[trBL_Attachments_AI]
ON [dbo].[tblBL_Attachments]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_Attachments' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_Attachments'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Attachments' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Attachmentsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Attachmentsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Attachments'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Attachments')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_Attachments_AD' AND type = 'TR') DROP TRIGGER[trBL_Attachments_AD];
GO

CREATE TRIGGER [dbo].[trBL_Attachments_AD]
ON [dbo].[tblBL_Attachments]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_Attachments' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_Attachments'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_Attachments' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Attachmentsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_Attachmentsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_Attachments'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_Attachments')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AU' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AU];
GO

CREATE TRIGGER [dbo].[trBL_SURBL_AU]
ON [dbo].[tblBL_SURBL]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_SURBL' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_SURBL'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_SURBL' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_SURBLusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_SURBLusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_SURBL'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_SURBL')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AI' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AI];
GO

CREATE TRIGGER [dbo].[trBL_SURBL_AI]
ON [dbo].[tblBL_SURBL]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_SURBL' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_SURBL'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_SURBL' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_SURBLusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_SURBLusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_SURBL'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_SURBL')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_SURBL_AD' AND type = 'TR') DROP TRIGGER[trBL_SURBL_AD];
GO

CREATE TRIGGER [dbo].[trBL_SURBL_AD]
ON [dbo].[tblBL_SURBL]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_SURBL' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_SURBL'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_SURBL' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_SURBLusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_SURBLusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_SURBL'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_SURBL')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AU' AND type = 'TR') DROP TRIGGER[trBL_IPs_AU];
GO

CREATE TRIGGER [dbo].[trBL_IPs_AU]
ON [dbo].[tblBL_IPs]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_IPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_IPs'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_IPs' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_IPsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_IPsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_IPs'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_IPs')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AI' AND type = 'TR') DROP TRIGGER[trBL_IPs_AI];
GO

CREATE TRIGGER [dbo].[trBL_IPs_AI]
ON [dbo].[tblBL_IPs]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_IPs' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_IPs'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_IPs' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_IPsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_IPsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_IPs'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_IPs')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_IPs_AD' AND type = 'TR') DROP TRIGGER[trBL_IPs_AD];
GO

CREATE TRIGGER [dbo].[trBL_IPs_AD]
ON [dbo].[tblBL_IPs]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_IPs' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_IPs'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_IPs' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_IPsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_IPsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_IPs'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_IPs')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AU' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AU];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AU]
ON [dbo].[tblBL_HoneypotEmails]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_HoneypotEmails' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_HoneypotEmailsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_HoneypotEmailsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_HoneypotEmails'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_HoneypotEmails')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AI' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AI];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AI]
ON [dbo].[tblBL_HoneypotEmails]
FOR INSERT AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT ins.DomainID, 1, 'tblBL_HoneypotEmails' FROM inserted ins
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = ins.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_HoneypotEmails' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_HoneypotEmailsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_HoneypotEmailsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_HoneypotEmails'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_HoneypotEmails')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'trBL_HoneypotEmails_AD' AND type = 'TR') DROP TRIGGER[trBL_HoneypotEmails_AD];
GO

CREATE TRIGGER [dbo].[trBL_HoneypotEmails_AD]
ON [dbo].[tblBL_HoneypotEmails]
AFTER DELETE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tblBL_HoneypotEmails' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tblBL_HoneypotEmails'))
 INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) SELECT s.domainid, 1, 'tblBL_HoneypotEmails' FROM tbl_localdomains d INNER JOIN tbl_filtersettings s
	ON d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_HoneypotEmailsusedefaults = 1)
  DECLARE @tmp_id INT
  SELECT TOP 1 @tmp_id = s.domainid FROM tbl_localdomains d INNER JOIN tbl_filtersettings s on d.id = s.domainid WHERE (d.usedefaults=0) AND (s.BL_HoneypotEmailsusedefaults = 1)
  IF (@tmp_id <> NULL) AND NOT EXISTS (SELECT * FROM tblreloadtableinfo r WHERE (r.domainid = @tmp_id) AND (r.tablename = 'tblBL_HoneypotEmails'))
INSERT INTO tblreloadtableinfo (domainid, updatetable, tablename) VALUES (@tmp_id, 1, 'tblBL_HoneypotEmails')
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'tr_FilterSettings_AU' AND type = 'TR') DROP TRIGGER[tr_FilterSettings_AU];
GO

CREATE TRIGGER [dbo].[tr_FilterSettings_AU]
ON [dbo].[tbl_FilterSettings]
AFTER UPDATE AS 
 INSERT INTO tblReloadTableInfo (DomainID, UpdateTable, TableName) SELECT del.DomainID, 1, 'tbl_FilterSettings' FROM deleted del
   WHERE NOT EXISTS (SELECT * FROM tblReloadTableInfo r WHERE (r.DomainID = del.DomainID) AND (r.TableName = 'tbl_FilterSettings'))
	DECLARE @nOldValue bit,@nNewValue bit
  SELECT @nOldValue=b.BL_Domainsusedefaults, @nNewValue=a.BL_Domainsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_Domains' from deleted del
  SELECT @nOldValue=b.BL_EmailsFromusedefaults, @nNewValue=a.BL_EmailsFromusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_EmailsFrom' from deleted del
  SELECT @nOldValue=b.BL_EmailsTOusedefaults, @nNewValue=a.BL_EmailsTOusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_EmailsTO' from deleted del
  SELECT @nOldValue=b.BL_Countriesusedefaults, @nNewValue=a.BL_Countriesusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_Countries' from deleted del
  SELECT @nOldValue=b.BL_MAPSusedefaults, @nNewValue=a.BL_MAPSusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_MAPS' from deleted del
  SELECT @nOldValue=b.BL_Keywordsusedefaults, @nNewValue=a.BL_Keywordsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_Keywords' from deleted del
  SELECT @nOldValue=b.BL_Attachmentsusedefaults, @nNewValue=a.BL_Attachmentsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_Attachments' from deleted del
  SELECT @nOldValue=b.BL_SURBLusedefaults, @nNewValue=a.BL_SURBLusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_SURBL' from deleted del
  SELECT @nOldValue=b.BL_IPsusedefaults, @nNewValue=a.BL_IPsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_IPs' from deleted del
  SELECT @nOldValue=b.BL_HoneypotEmailsusedefaults, @nNewValue=a.BL_HoneypotEmailsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblBL_HoneypotEmails' from deleted del
  SELECT @nOldValue=b.WL_DomainsIPsusedefaults, @nNewValue=a.WL_DomainsIPsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblWL_DomainsIPs' from deleted del
  SELECT @nOldValue=b.WL_EmailsTOusedefaults, @nNewValue=a.WL_EmailsTOusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblWL_EmailsTO' from deleted del
  SELECT @nOldValue=b.WL_EmailsFromusedefaults, @nNewValue=a.WL_EmailsFromusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblWL_EmailsFrom' from deleted del
  SELECT @nOldValue=b.WL_AuthorizedTOEmailsusedefaults, @nNewValue=a.WL_AuthorizedTOEmailsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblWL_AuthorizedTOEmails' from deleted del
  SELECT @nOldValue=b.WL_Keywordsusedefaults, @nNewValue=a.WL_Keywordsusedefaults FROM deleted b, inserted a WHERE b.id = a.id
  if @nOldValue <> @nNewValue insert into tblreloadtableinfo (domainid, updatetable, tablename) select del.domainid, 1, 'tblWL_Keywords' from deleted del   
GO
